## faudio 24.06+dfsg

=== debian/changelog ===
faudio (24.06+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Jun 2024 18:23:45 +0200

faudio (24.05+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 May 2024 19:04:16 +0200

faudio (24.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Mon, 01 Apr 2024 18:01:28 +0200

faudio (24.03+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 06 Mar 2024 07:04:10 +0100
