## faudio 24.11+dfsg

=== debian/changelog ===
faudio (24.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Nov 2024 23:15:10 +0100

faudio (24.10+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 03 Oct 2024 09:05:00 +0200
