=== debian/changelog ===
faudio (25.02+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Feb 2025 22:35:34 +0100
