## faudio 25.03%2Bdfsg

=== debian/changelog ===
faudio (25.03+dfsg-2) unstable; urgency=medium

  * Switch back to SDL2 to fix initialisation timeouts. Closes:
    #1099537.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Mar 2025 23:21:25 +0100

faudio (25.03+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version 4.7.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 01 Mar 2025 17:21:49 +0100
