## faudio 25.03+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Options
 option(BUILD_UTILS "Build utils/ folder" OFF)
 option(BUILD_TESTS "Build tests/ folder for unit tests to be executed on the host against FAudio" OFF)
-option(BUILD_SDL3 "Build against SDL 3.0" OFF)
+option(BUILD_SDL3 "Build against SDL 3.0" ON)
 if(WIN32)
 option(PLATFORM_WIN32 "Enable native Win32 platform instead of SDL" OFF)
 endif()
@@ -30,7 +30,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "25")
-SET(LIB_REVISION "02")
+SET(LIB_REVISION "03")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
