## faudio 25.04+dfsg

=== debian/changelog ===
faudio (25.04+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 05 Apr 2025 22:21:58 +0200
