=== debian/changelog ===
faudio (25.05+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 May 2025 07:32:13 +0200
