## faudio 25.09+dfsg

=== debian/changelog ===
faudio (25.09+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 14 Sep 2025 20:12:56 +0200
