=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
 Build-Depends:
  cmake,
  libstb-dev,
- libsdl2-dev (>= 2.24.0~),
+ libsdl2-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
