=== debian/rules ===
#!/usr/bin/make -f

# output verbose build commands
export DH_VERBOSE=1

# allow ./debian/rules binary to be executed without root
export DEB_RULES_REQUIRES_ROOT=no

# enable all build hardening flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --no-warn-unused-cli -DGSTREAMER=ON -DBUILD_TESTS=ON -DCMAKE_RULE_MESSAGES=OFF -DBUILD_SDL3=OFF

override_dh_missing:
	dh_missing --fail-missing
