=== debian/tests/control ===
Tests: run
