## faudio 25.12%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  libsdl2-dev,
  debhelper-compat (= 13),
 Standards-Version: 4.7.2
-Rules-Requires-Root: no
 Homepage: https://github.com/FNA-XNA/FAudio
 
 Package: libfaudio0
