## faudio 25.12+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "25")
-SET(LIB_REVISION "09")
+SET(LIB_REVISION "12")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
@@ -369,8 +369,8 @@
 
 	# Generate a pkgconfig file
 	include(cmake/JoinPaths.cmake)
-	join_paths(FAUDIO_PKGCONF_LIBDIR "\${prefix}" "${CMAKE_INSTALL_LIBDIR}")
-	join_paths(FAUDIO_PKGCONF_INCLUDEDIR "\${prefix}" "${CMAKE_INSTALL_INCLUDEDIR}")
+	join_paths(FAUDIO_PKGCONF_LIBDIR "\${prefix}" "${FAudio_INSTALL_LIBDIR}")
+	join_paths(FAUDIO_PKGCONF_INCLUDEDIR "\${prefix}" "${FAudio_INSTALL_INCLUDEDIR}")
 
 	if(NOT PLATFORM_WIN32)
 		if(BUILD_SDL3)
