=== debian/changelog ===
faudio (25.12+dfsg-2) unstable; urgency=medium

  * Use the dummy audio driver by default in autopkgtests; thanks to Simon
    McVittie for the patch! Closes: #1123730.

 -- Stephen Kitt <skitt@debian.org>  Sat, 20 Dec 2025 18:06:16 +0100

faudio (25.12+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Sun, 07 Dec 2025 17:04:42 +0100
