## faudio 26.01+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -37,8 +37,8 @@
 
 # Version
 SET(LIB_MAJOR_VERSION "0")
-SET(LIB_MINOR_VERSION "25")
-SET(LIB_REVISION "12")
+SET(LIB_MINOR_VERSION "26")
+SET(LIB_REVISION "01")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
