=== debian/changelog ===
faudio (26.01+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Tue, 13 Jan 2026 18:44:00 +0100
