=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: faudio
 Section: libs
-Priority: optional
 Uploaders:
  Michael Gilbert <mgilbert@debian.org>,
  Stephen Kitt <skitt@debian.org>,
@@ -12,7 +11,7 @@
  libstb-dev,
  libsdl2-dev,
  debhelper-compat (= 13),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/FNA-XNA/FAudio
 
 Package: libfaudio0
