=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: auto
Owner: FNA-XNA
Project: FAudio
Repacksuffix: +dfsg
