## faudio 26.03+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 # Version
 SET(LIB_MAJOR_VERSION "0")
 SET(LIB_MINOR_VERSION "26")
-SET(LIB_REVISION "01")
+SET(LIB_REVISION "03")
 SET(LIB_VERSION "${LIB_MAJOR_VERSION}.${LIB_MINOR_VERSION}.${LIB_REVISION}")
 
 # Build Type
