=== debian/changelog ===
faudio (26.03+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sun, 01 Mar 2026 20:44:25 +0100
